ResourcesCoupons
Retrieve a coupon
This endpoint allows you to retrieve a specific coupon by providing the unique identifier.
This endpoint allows you to retrieve a specific coupon by providing the unique identifier. Refer to the list to see which properties are included with coupon objects.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Path Parameters
coupon*integer
The coupon path parameter.
Query Parameters
with_trashed?boolean
Include soft-deleted resources in the result.
Default
falseonly_trashed?boolean
Return only soft-deleted resources. Ignored when with_trashed is true.
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v1/coupons/0"{
"data": {
"id": 1,
"code": "BONANZA",
"type": "PERCENTAGE",
"discount": "80",
"limit": null,
"store_wide": true,
"minimum_amount": null,
"expires_at": null,
"created_at": "2022-12-12T12:12:12.000000Z",
"updated_at": "2022-12-12T12:12:12.000000Z",
"store_id": 1,
"deleted_at": null,
"products": [],
"product_variants": [],
"maximum_discount_amount": null
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Rule not found."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}